Create Webhook
curl --request POST \
--url https://api.example.com/api/integrations/webhooks \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
{}
],
"secret": "<string>"
}
'import requests
url = "https://api.example.com/api/integrations/webhooks"
payload = {
"url": "<string>",
"events": [{}],
"secret": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [{}], secret: '<string>'})
};
fetch('https://api.example.com/api/integrations/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"events": [
{}
]
}Webhooks
Create Webhook
POST
/
api
/
integrations
/
webhooks
Create Webhook
Description
Create a new webhook.Authentication
Required (API key or JWT token)Request Body
string
required
Webhook URL endpoint
array
required
Array of event types to subscribe to
string
Optional webhook secret for signature verification
Response
string
Created webhook ID
string
Webhook URL
array
Subscribed events
Was this page helpful?
⌘I